]> git.sur5r.net Git - bacula/bacula/blobdiff - bacula/configure
Tweak bacula.spec
[bacula/bacula] / bacula / configure
index 40d7e7b3e0e9d36631ab07e0a20d3fbab06e31b9..25a0a85cc8b348d570f7a51e27cee085ec58db23 100755 (executable)
@@ -985,7 +985,11 @@ OPENSSL_LIBS
 OPENSSL_INC
 working_dir
 archivedir
+basename
+hostname
 scriptdir
+bsrdir
+logdir
 plugindir
 dump_email
 job_email
@@ -1038,7 +1042,6 @@ WCFLAGS
 WLDFLAGS
 WRAPLIBS
 OBJLIST
-hostname
 TAPEDRIVE
 PSCMD
 WIN32
@@ -1694,7 +1697,11 @@ Optional Packages:
   --with-openssl[=DIR]    Include OpenSSL support. DIR is the OpenSSL base
   --with-working-dir=PATH specify path of Bacula working directory
   --with-archivedir=PATH  specify path of SD archive directory
+  --with-basename=RESNAME specify base resource name for daemons
+  --with-hostname=RESNAME specify host name for daemons
   --with-scriptdir=PATH   specify path of Bacula scripts directory
+  --with-bsrdir=PATH      specify path of Bacula bsrs directory
+  --with-logdir=PATH      specify path of Bacula logs directory
   --with-plugindir=PATH   specify path of Bacula plugins directory
   --with-dump-email=EMAIL dump email address
   --with-job-email=EMAIL  job output email address
@@ -2337,7 +2344,7 @@ post_host=
 if test "x$BACULA" != x; then
    post_host=`echo -${BACULA} | tr 'A-Z ' 'a-z-'`
 fi
-BACULA=${BACULA-Bacula}
+BACULA=${BACULA:-Bacula}
 VERSION=`sed -n -e 's/^.*VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 DATE=`sed -n -e 's/^.* \t*BDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
 LSMDATE=`sed -n -e 's/^.*LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
@@ -5988,13 +5995,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:5991: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:5998: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5994: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:6001: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5997: output\"" >&5)
+  (eval echo "\"\$as_me:6004: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -7215,7 +7222,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7218 "configure"' > conftest.$ac_ext
+  echo '#line 7225 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9430,11 +9437,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9433: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9440: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9437: \$? = $ac_status" >&5
+   echo "$as_me:9444: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9769,11 +9776,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9772: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9779: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9776: \$? = $ac_status" >&5
+   echo "$as_me:9783: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9874,11 +9881,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9877: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9884: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9881: \$? = $ac_status" >&5
+   echo "$as_me:9888: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9929,11 +9936,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9932: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9939: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9936: \$? = $ac_status" >&5
+   echo "$as_me:9943: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12685,7 +12692,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12688 "configure"
+#line 12695 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12781,7 +12788,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 12784 "configure"
+#line 12791 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14793,11 +14800,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14796: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14803: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14800: \$? = $ac_status" >&5
+   echo "$as_me:14807: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14892,11 +14899,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14895: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14902: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14899: \$? = $ac_status" >&5
+   echo "$as_me:14906: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14944,11 +14951,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14947: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14954: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14951: \$? = $ac_status" >&5
+   echo "$as_me:14958: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18315,11 +18322,6 @@ _ACEOF
 
 
 
-if test x${prefix} = xNONE ; then
-   if test `eval echo ${datarootdir}` = NONE/share ; then
-      datarootdir=/usr/share
-   fi
-fi
 
 if test x${prefix} = xNONE ; then
    if test `eval echo ${sysconfdir}` = NONE/etc ; then
@@ -18334,6 +18336,9 @@ if test x${prefix} = xNONE ; then
       includedir=/usr/include
    fi
 
+   if test `eval echo ${datarootdir}` = NONE/share ; then
+      datarootdir=/usr/share
+   fi
    prefix=
 fi
 
@@ -18343,6 +18348,8 @@ fi
 
 sysconfdir=`eval echo ${sysconfdir}`
 datarootdir=`eval echo ${datarootdir}`
+docdir=`eval echo ${docdir}`
+htmldir=`eval echo ${htmldir}`
 libdir=`eval echo ${libdir}`
 includedir=`eval echo ${includedir}`
 localedir=`eval echo ${datarootdir}/locale`
@@ -18364,6 +18371,15 @@ if test x$mandir = x'${prefix}/man' ; then
    mandir=/usr/share/man
 fi
 
+if test x$htmldir = x${docdir} ; then
+   htmldir=`eval echo ${docdir}bacula/html`
+fi
+
+if test x$docdir = x'/usr/share/doc/' ; then
+   docdir=`eval echo ${docdir}bacula`
+fi
+
+
 for ac_prog in msgfmt
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -24171,7 +24187,7 @@ if test x$support_wx_console = xyes; then
 
 
 
-      WX_DIR=src/wx-console
+      WX_DIR="src/wx-console"
    else
       echo " "
       echo "wx-config program not found. bwx-console disabled."
 if test "${enable_static_tools+set}" = set; then
   enableval=$enable_static_tools;
        if test x$enableval = xyes; then
+         if test x$use_libtool = xyes; then
+            { { echo "$as_me:$LINENO: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&5
+echo "$as_me: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&2;}
+   { (exit 1); exit 1; }; }
+         fi
          support_static_tools=yes
        fi
 
 if test "${enable_static_fd+set}" = set; then
   enableval=$enable_static_fd;
        if test x$enableval = xyes; then
+         if test x$use_libtool = xyes; then
+            { { echo "$as_me:$LINENO: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&5
+echo "$as_me: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&2;}
+   { (exit 1); exit 1; }; }
+         fi
          support_static_fd=yes
        fi
 
 if test "${enable_static_sd+set}" = set; then
   enableval=$enable_static_sd;
        if test x$enableval = xyes; then
+         if test x$use_libtool = xyes; then
+            { { echo "$as_me:$LINENO: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&5
+echo "$as_me: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&2;}
+   { (exit 1); exit 1; }; }
+         fi
          support_static_sd=yes
        fi
 
 if test "${enable_static_dir+set}" = set; then
   enableval=$enable_static_dir;
        if test x$enableval = xyes; then
+         if test x$use_libtool = xyes; then
+            { { echo "$as_me:$LINENO: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&5
+echo "$as_me: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&2;}
+   { (exit 1); exit 1; }; }
+         fi
          support_static_dir=yes
        fi
 
 if test "${enable_static_cons+set}" = set; then
   enableval=$enable_static_cons;
        if test x$enableval = xyes; then
+         if test x$use_libtool = xyes; then
+            { { echo "$as_me:$LINENO: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&5
+echo "$as_me: error: Libtool is enabled, not compatible with static tools,
+  please rerun configure with --disable-libtool" >&2;}
+   { (exit 1); exit 1; }; }
+         fi
          support_static_cons=yes
        fi
 
@@ -26192,38 +26243,46 @@ if test "${with_python+set}" = set; then
        PYTHON_LIBS=
        if test "$withval" != "no"; then
          if test "$withval" = "yes"; then
-            for python_root in /usr /usr/local /usr/sfw; do
-               for ver in python2.2 python2.3 python2.4 python2.5 python2.6 python3; do
-                  if test -f $python_root/include/${ver}/Python.h; then
-                     PYTHON_INCDIR=-I$python_root/include/${ver}
-                     if test -d $python_root/lib64/${ver}/config; then
-                        PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
-                     else
-                        PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+            if test -e /usr/bin/python-config ; then
+               PYTHON_INCDIR=`/usr/bin/python-config --includes`
+               PYTHON_LIBS=`/usr/bin/python-config --libs`
+            else
+               for python_root in /usr /usr/local /usr/sfw; do
+                  for ver in python2.2 python2.3 python2.4 python2.5 python2.6 python3; do
+                     if test -f $python_root/include/${ver}/Python.h; then
+                        PYTHON_INCDIR=-I$python_root/include/${ver}
+                        if test -d $python_root/lib64/${ver}/config; then
+                           PYTHON_LIBS="-L$python_root/lib64/${ver}/config -l${ver}"
+                        else
+                           PYTHON_LIBS="-L$python_root/lib/${ver}/config -l${ver}"
+                        fi
+                        break
                      fi
-                     break
-                  fi
+                  done
                done
-            done
 
-            if test x$PYTHON_INCDIR = x; then
-               if test -f $prefix/include/Python.h; then
-                  PYTHON_INCDIR=-I$prefix/include
-                  if test -d $prefix/lib64/config; then
-                     PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+               if test x$PYTHON_INCDIR = x; then
+                  if test -f $prefix/include/Python.h; then
+                     PYTHON_INCDIR=-I$prefix/include
+                     if test -d $prefix/lib64/config; then
+                        PYTHON_LIBS="-L$prefix/lib64/config -lpython"
+                     else
+                        PYTHON_LIBS="-L$prefix/lib/config -lpython"
+                     fi
                   else
-                     PYTHON_LIBS="-L$prefix/lib/config -lpython"
-                  fi
-               else
-                  { echo "$as_me:$LINENO: result: no" >&5
+                     { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-                  { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
+                     { { echo "$as_me:$LINENO: error: Unable to find Python.h in standard locations" >&5
 echo "$as_me: error: Unable to find Python.h in standard locations" >&2;}
    { (exit 1); exit 1; }; }
+                  fi
                fi
             fi
          else
-            if test -f $withval/Python.h; then
+            if test -e $withval/bin/python-config ; then
+               PYTHON_INCDIR=`$withval/bin/python-config --includes`
+               PYTHON_LIBS=`$withval/bin/python-config --libs`
+            elif test -f $withval/Python.h; then
                PYTHON_INCDIR=-I$withval
                PYTHON_LIBS="-L$withval/config -lpython"
             elif test -f $withval/include/Python.h; then
@@ -27199,6 +27258,11 @@ else
    OPENSSL_INC=""
 fi
 
+if test "$support_tls" = "no"; then
+   OPENSSL_LIBS=""
+   OPENSSL_INC=""
+fi
+
 { echo "$as_me:$LINENO: result: $support_tls" >&5
 echo "${ECHO_T}$support_tls" >&6; }
 
@@ -27303,7 +27367,7 @@ fi
 
 
 
-archive_dir=/tmp
+archivedir=/tmp
 
 # Check whether --with-archivedir was given.
 if test "${with_archivedir+set}" = set; then
 
 
 
+basename=`hostname`
+
+# Check whether --with-basename was given.
+if test "${with_basename+set}" = set; then
+  withval=$with_basename;
+       if test "x$withval" != "xno" ; then
+         basename=$withval
+       fi
+
+
+fi
+
+
+
+
+hostname=`uname -n | cut -d '.' -f 1`
+if test x${hostname} = x ; then
+  hostname="localhost"
+fi
+
+# Check whether --with-hostname was given.
+if test "${with_hostname+set}" = set; then
+  withval=$with_hostname;
+       if test "x$withval" != "xno" ; then
+        hostname=$withval
+       fi
+
+
+fi
+
+
+
+
+
 scriptdir=`eval echo ${sysconfdir}`
 
 # Check whether --with-scriptdir was given.
 
 
 
+
+bsrdir=/tmp
+
+# Check whether --with-bsrdir was given.
+if test "${with_bsrdir+set}" = set; then
+  withval=$with_bsrdir;
+       if test "x$withval" != "xno" ; then
+         bsrdir=$withval
+       fi
+
+
+fi
+
+
+
+
+logdir=/tmp
+
+# Check whether --with-logdir was given.
+if test "${with_logdir+set}" = set; then
+  withval=$with_logdir;
+       if test "x$withval" != "xno" ; then
+         logdir=$withval
+       fi
+
+
+fi
+
+
+
+
+
 # ------------------------------------------
 # Where to place plugindir (plugin files)
 # ------------------------------------------
-plugindir=`eval echo ${sysconfdir}`
+plugindir=`eval echo ${libdir}`
 
 # Check whether --with-plugindir was given.
 if test "${with_plugindir+set}" = set; then
@@ -28669,7 +28799,11 @@ echo "${ECHO_T}no" >&6; }
 echo "$as_me: error: Unable to find mysql in standard locations" >&2;}
    { (exit 1); exit 1; }; }
            fi
-           DB_PROG_LIB=$SQL_LIBDIR/libmysqlclient_r.a
+           if test -f $SQL_LIBDIR/libmysqlclient_r.so; then
+              DB_PROG_LIB=$SQL_LIBDIR/libmysqlclient_r.so
+           else
+              DB_PROG_LIB=$SQL_LIBDIR/libmysqlclient_r.a
+           fi
         ;;
         "postgresql")
            db_prog="postgresql"
@@ -28709,7 +28843,11 @@ echo "${ECHO_T}no" >&6; }
 echo "$as_me: error: Unable to find psql in standard locations" >&2;}
    { (exit 1); exit 1; }; }
            fi
-           DB_PROG_LIB=$SQL_LIBDIR/libpq.a
+           if test -f $SQL_LIBDIR/libpq.so; then
+              DB_PROG_LIB=$SQL_LIBDIR/libpq.so
+           else
+              DB_PROG_LIB=$SQL_LIBDIR/libpq.a
+           fi
         ;;
         "sqlite")
            db_prog="sqlite"
@@ -28741,7 +28879,11 @@ echo "${ECHO_T}no" >&6; }
 echo "$as_me: error: Unable to find sqlite in standard locations" >&2;}
    { (exit 1); exit 1; }; }
            fi
-           DB_PROG_LIB=$SQL_LIBDIR/libsqlite.a
+           if test -f $SQL_LIBDIR/libsqlite.so; then
+              DB_PROG_LIB=$SQL_LIBDIR/libsqlite.so
+           else
+              DB_PROG_LIB=$SQL_LIBDIR/libsqlite.a
+           fi
         ;;
         "sqlite3")
            db_prog="sqlite3"
@@ -28773,7 +28915,11 @@ echo "${ECHO_T}no" >&6; }
 echo "$as_me: error: Unable to find sqlite in standard locations" >&2;}
    { (exit 1); exit 1; }; }
            fi
-           DB_PROG_LIB=$SQL_LIBDIR/libsqlite3.a
+           if test -f $SQL_LIBDIR/libsqlite3.so; then
+              DB_PROG_LIB=$SQL_LIBDIR/libsqlite3.so
+           else
+              DB_PROG_LIB=$SQL_LIBDIR/libsqlite3.a
+           fi
         ;;
         *)
            { echo "$as_me:$LINENO: result: no" >&5
@@ -40524,11 +40670,13 @@ _ACEOF
    have_zlib=yes
 fi
 
-support_acl=yes
+support_acl=auto
 # Check whether --enable-acl was given.
 if test "${enable_acl+set}" = set; then
   enableval=$enable_acl;
-       if test x$enableval = xno; then
+       if test x$enableval = xyes; then
+         support_acl=yes
+       elif test x$enableval = xno; then
          support_acl=no
        fi
 
@@ -40538,7 +40686,7 @@ fi
 
 have_acl=no
 have_extended_acl=no
-if test x$support_acl = xyes; then
+if test x$support_acl = xyes -o x$support_acl = xauto; then
    if test "${ac_cv_header_sys_acl_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for sys/acl.h" >&5
 echo $ECHO_N "checking for sys/acl.h... $ECHO_C" >&6; }
 
 fi
 
-   if test $have_acl = yes; then
+
+   if test x$support_acl = xyes -a $have_acl != yes; then
+      { { echo "$as_me:$LINENO: error: acl support explicitly enabled but no supported acl implementation found,
+  please either load the acl libraries or rerun configure without --enable-acl" >&5
+echo "$as_me: error: acl support explicitly enabled but no supported acl implementation found,
+  please either load the acl libraries or rerun configure without --enable-acl" >&2;}
+   { (exit 1); exit 1; }; }
+   else
+      if test $have_acl = yes; then
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_ACL
 _ACEOF
 
-   fi
+      fi
 
-   if test $have_extended_acl = yes; then
+      if test $have_extended_acl = yes; then
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_EXTENDED_ACL
 _ACEOF
 
+      fi
    fi
 fi
 
-support_xattr=yes
+support_xattr=auto
 # Check whether --enable-xattr was given.
 if test "${enable_xattr+set}" = set; then
   enableval=$enable_xattr;
-       if test x$enableval = xno; then
-         support_acl=no
+       if test x$enableval = xyes; then
+         support_xattr=yes
+       elif test x$enableval = xno; then
+         support_xattr=no
        fi
 
 
@@ -41076,7 +41235,7 @@ fi
 
 
 have_xattr=no
-if test x$support_xattr = xyes; then
+if test x$support_xattr = xyes -o x$support_xattr = xauto; then
    if test "${ac_cv_header_sys_xattr_h+set}" = set; then
   { echo "$as_me:$LINENO: checking for sys/xattr.h" >&5
 echo $ECHO_N "checking for sys/xattr.h... $ECHO_C" >&6; }
@@ -41321,8 +41480,15 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
 
-else
 
+fi
+done
+
+
+   #
+   # OSX specific
+   #
+   if test $have_xattr = no; then
 
 
 
@@ -41416,7 +41582,7 @@ if test `eval echo '${'$as_ac_var'}'` = yes; then
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
 
-                 have_xattr=yes
+            have_xattr=yes
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_LLISTXATTR
@@ -41437,18 +41603,628 @@ _ACEOF
 fi
 done
 
+   fi
+
+   #
+   # Solaris specific
+   #
+   if test $have_xattr = no; then
+      if test "${ac_cv_header_sys_attr_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for sys/attr.h" >&5
+echo $ECHO_N "checking for sys/attr.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sys_attr_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_attr_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_attr_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking sys/attr.h usability" >&5
+echo $ECHO_N "checking sys/attr.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <sys/attr.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking sys/attr.h presence" >&5
+echo $ECHO_N "checking sys/attr.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/attr.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/attr.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: sys/attr.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/attr.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/attr.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: sys/attr.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: sys/attr.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/attr.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/attr.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: sys/attr.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for sys/attr.h" >&5
+echo $ECHO_N "checking for sys/attr.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sys_attr_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_sys_attr_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_attr_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_attr_h" >&6; }
+
+fi
+if test $ac_cv_header_sys_attr_h = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SYS_ATTR_H 1
+_ACEOF
+
+fi
+
+
+      if test "${ac_cv_header_sys_nvpair_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for sys/nvpair.h" >&5
+echo $ECHO_N "checking for sys/nvpair.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sys_nvpair_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_nvpair_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_nvpair_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking sys/nvpair.h usability" >&5
+echo $ECHO_N "checking sys/nvpair.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <sys/nvpair.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking sys/nvpair.h presence" >&5
+echo $ECHO_N "checking sys/nvpair.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sys/nvpair.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sys/nvpair.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: sys/nvpair.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sys/nvpair.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sys/nvpair.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: sys/nvpair.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: sys/nvpair.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sys/nvpair.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sys/nvpair.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: sys/nvpair.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for sys/nvpair.h" >&5
+echo $ECHO_N "checking for sys/nvpair.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sys_nvpair_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_sys_nvpair_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_nvpair_h" >&5
+echo "${ECHO_T}$ac_cv_header_sys_nvpair_h" >&6; }
+
+fi
+if test $ac_cv_header_sys_nvpair_h = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SYS_NVPAIR_H 1
+_ACEOF
+
+fi
+
+
+      if test "${ac_cv_header_attr_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for attr.h" >&5
+echo $ECHO_N "checking for attr.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_attr_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_attr_h" >&5
+echo "${ECHO_T}$ac_cv_header_attr_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking attr.h usability" >&5
+echo $ECHO_N "checking attr.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <attr.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking attr.h presence" >&5
+echo $ECHO_N "checking attr.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <attr.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: attr.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: attr.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: attr.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: attr.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: attr.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: attr.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: attr.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: attr.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: attr.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: attr.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: attr.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for attr.h" >&5
+echo $ECHO_N "checking for attr.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_attr_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_attr_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_attr_h" >&5
+echo "${ECHO_T}$ac_cv_header_attr_h" >&6; }
+
+fi
+if test $ac_cv_header_attr_h = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_ATTR_H 1
+_ACEOF
+
+fi
+
+
+
+
+
+
+
+
+for ac_func in openat fstatat unlinkat fchownat futimesat
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+            have_xattr=yes
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_OPENAT
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_FSTATAT
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_UNLINKAT
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_FCHOWNAT
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_FUTIMESAT
+_ACEOF
+
 
 
 fi
 done
 
 
-   if test $have_xattr = yes; then
+      if test $have_xattr = yes; then
+        { echo "$as_me:$LINENO: checking for nvlist_next_nvpair in -lnvpair" >&5
+echo $ECHO_N "checking for nvlist_next_nvpair in -lnvpair... $ECHO_C" >&6; }
+if test "${ac_cv_lib_nvpair_nvlist_next_nvpair+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lnvpair  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char nvlist_next_nvpair ();
+int
+main ()
+{
+return nvlist_next_nvpair ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_nvpair_nvlist_next_nvpair=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_nvpair_nvlist_next_nvpair=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_nvpair_nvlist_next_nvpair" >&5
+echo "${ECHO_T}$ac_cv_lib_nvpair_nvlist_next_nvpair" >&6; }
+if test $ac_cv_lib_nvpair_nvlist_next_nvpair = yes; then
+
+               FDLIBS="-lnvpair $FDLIBS"
+
+
+fi
+
+      fi
+   fi
+
+   if test x$support_xattr = xyes -a $have_xattr != yes; then
+      { { echo "$as_me:$LINENO: error: xattr support explicitly enabled but no supported xattr implementation found,
+  please either load the xattr libraries or rerun configure without --enable-xatt" >&5
+echo "$as_me: error: xattr support explicitly enabled but no supported xattr implementation found,
+  please either load the xattr libraries or rerun configure without --enable-xatt" >&2;}
+   { (exit 1); exit 1; }; }
+   else
+      if test $have_xattr = yes; then
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_XATTR
 _ACEOF
 
+      fi
    fi
 fi
 
@@ -41788,10 +42564,16 @@ PFILES="platforms/Makefile"
 PSCMD="ps -e"
 WIN32=
 MACOSX=
+
 hostname=`uname -n | cut -d '.' -f 1`
 if test x${hostname} = x ; then
    hostname="localhost"
 fi
+ping -c 1 $hostname 2>/dev/null 1>/dev/null
+if test ! $? = 0; then
+  hostname="localhost"
+fi
+
 case "$DISTNAME" in
 aix)
    DISTVER=`uname -r`
@@ -41843,10 +42625,6 @@ darwin)
       platforms/darwin/Makefile"
   ;;
 debian)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    if `test -f /etc/apt/sources.list && grep -q ubuntu /etc/apt/sources.list`; then
       DISTNAME="ubuntu"
    fi
@@ -41880,10 +42658,6 @@ debian)
    fi
   ;;
 freebsd)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTVER=`uname -a |awk '{print $3}'`
    VER=`echo $DISTVER | cut -c 1`
    if test x$VER = x4 ; then
@@ -41946,10 +42720,6 @@ openbsd)
        platforms/openbsd/bacula-dir"
   ;;
 redhat)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    if test -f /etc/whitebox-release ; then
       f=/etc/whitebox-release
    else
@@ -41969,15 +42739,10 @@ redhat)
        platforms/redhat/Makefile \
        platforms/redhat/bacula-fd \
        platforms/redhat/bacula-sd \
-       platforms/redhat/bacula-dir \
-       platforms/redhat/bacula.spec \
+       platforms/redhat/bacula-dir
        "
   ;;
 mandrake)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTVER=`cat /etc/mandrake-release | grep release |\
       cut -f 5 -d ' '`
    TAPEDRIVE="/dev/nst0"
@@ -41991,10 +42756,6 @@ mandrake)
        "
   ;;
 gentoo)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTVER=`awk '/version / {print $5}' < /etc/gentoo-release`
    TAPEDRIVE="/dev/nst0"
    PSCMD="ps -e -o pid,command"
@@ -42006,10 +42767,6 @@ gentoo)
        platforms/gentoo/bacula-dir"
   ;;
 slackware)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTVER=`cat /etc/slackware-version`
    TAPEDRIVE="/dev/nst0"
    PSCMD="ps -e -o pid,command"
@@ -42038,10 +42795,6 @@ _ACEOF
    LIBS="$LIBS -lresolv"
   ;;
 suse)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTVER=`cat /etc/SuSE-release |grep VERSION|\
        cut -f 3 -d ' '`
    TAPEDRIVE="/dev/nst0"
@@ -42055,10 +42808,6 @@ suse)
        platforms/suse/bacula.spec"
   ;;
 suse5)
-      ping -c 1 $hostname 2>&1 1>/dev/null
-   if test ! $? = 0; then
-      hostname="localhost"
-   fi
    DISTNAME=suse
    DISTVER=5.x
    TAPEDRIVE="/dev/nst0"
@@ -43532,7 +44281,11 @@ OPENSSL_LIBS!$OPENSSL_LIBS$ac_delim
 OPENSSL_INC!$OPENSSL_INC$ac_delim
 working_dir!$working_dir$ac_delim
 archivedir!$archivedir$ac_delim
+basename!$basename$ac_delim
+hostname!$hostname$ac_delim
 scriptdir!$scriptdir$ac_delim
+bsrdir!$bsrdir$ac_delim
+logdir!$logdir$ac_delim
 plugindir!$plugindir$ac_delim
 dump_email!$dump_email$ac_delim
 job_email!$job_email$ac_delim
@@ -43585,7 +44338,6 @@ WCFLAGS!$WCFLAGS$ac_delim
 WLDFLAGS!$WLDFLAGS$ac_delim
 WRAPLIBS!$WRAPLIBS$ac_delim
 OBJLIST!$OBJLIST$ac_delim
-hostname!$hostname$ac_delim
 TAPEDRIVE!$TAPEDRIVE$ac_delim
 PSCMD!$PSCMD$ac_delim
 WIN32!$WIN32$ac_delim
@@ -43595,7 +44347,7 @@ DISTVER!$DISTVER$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 93; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 96; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
@@ -43614,7 +44366,7 @@ fi
 
 cat >>$CONFIG_STATUS <<_ACEOF
 cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
-/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
 _ACEOF
 sed '
 s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
@@ -43627,8 +44379,6 @@ N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
 ' >>$CONFIG_STATUS <conf$$subs.sed
 rm -f conf$$subs.sed
 cat >>$CONFIG_STATUS <<_ACEOF
-:end
-s/|#_!!_#|//g
 CEOF$ac_eof
 _ACEOF
 
@@ -43876,7 +44626,7 @@ s&@abs_builddir@&$ac_abs_builddir&;t t
 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
 s&@INSTALL@&$ac_INSTALL&;t t
 $ac_datarootdir_hack
-" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
+" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" | sed 's/|#_!!_#|//g' >$tmp/out
 
 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
@@ -44949,8 +45699,9 @@ fi
 
 if test "${support_bat}" = "yes" ; then
    if test "x$QMAKE" = "xnone" && test "x$QMAKEQT4" = "xnone"; then
-      echo "Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation"
-      exit 1
+      { { echo "$as_me:$LINENO: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&5
+echo "$as_me: error: Could not find qmake or qmake-qt4 in $PATH. Check your Qt installation" >&2;}
+   { (exit 1); exit 1; }; }
    fi
 
    QMAKEBIN="qmake"
@@ -44960,8 +45711,9 @@ if test "${support_bat}" = "yes" ; then
    fi
 
    cd src/qt-console
-   chmod 755 install_conf_file build-depkgs-qt-console
    echo "Creating bat Makefile"
+   touch bat
+   chmod 755 bat
    $QMAKEBIN
    make clean
    cd ${BUILD_DIR}
@@ -44972,6 +45724,10 @@ if test X"$GCC" = "Xyes" ; then
   ${MAKE:-make} depend
 fi
 
+cd src/qt-console
+chmod 755 install_conf_file build-depkgs-qt-console
+cd ${BUILD_DIR}
+
 cd scripts
 chmod 755 startmysql stopmysql bacula startit stopit btraceback mtx-changer
 chmod 755 dvd-handler dvd-simulator